%global dlrn_nvr ansible-role-tripleo-modify-image-1.5.1.dev2-1.20230211115447.b6eedb6
%global dlrn 1
%define upstream_version 1.5.1.dev2
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x5d2d1e4fb8d38e6af76c50d53d4fec30cf5ce3da
%global srcname ansible_role_tripleo_modify_image
%global rolename ansible-role-tripleo-modify-image

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

Name:           %{rolename}
Version: 1.5.1
Release: 17.1.20230211115447.b6eedb6%{?dist}
Summary:        Ansible role to allow modification to container images built for the TripleO project.

Group:          System Environment/Base
License:        ASL 2.0
URL:            https://git.openstack.org/cgit/openstack/ansible-role-tripleo-modify-image
Source0: ansible-role-tripleo-modify-image-1.5.1.dev2-1.20230211115447.b6eedb6.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=b6eedb6fb194ec32b92866257131714e02bae741

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{rolename}/%{rolename}-%{upstream_version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif

BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif
BuildRequires:  git-core
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr

Requires: (python3dist(ansible) or ansible-core >= 2.11)


Requires: buildah

%description

Ansible role to allow modification to container images built for the TripleO project.

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{rolename}-%{upstream_version} -S git
#Remove ansible from requirements.txt as dependency on ansible is managed manually
sed -i '/^ansible/d' requirements.txt


%build
%{py3_build}


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{py3_install}


%files
%doc README*
%license LICENSE
%{python3_sitelib}/%{srcname}-*.egg-info
%{_datadir}/ansible/roles/


%changelog
* Thu Jun 29 2023 Miguel Garcia <mgarciac@redhat.com> 1.5.1-17.1.20230211115447.b6eedb6
- Add RHOSP version to Release

* Sat Feb 11 2023 OSP Prod Chain <dev-null@redhat.com> 1.5.1-1.20230211115447.b6eedb6
- Update patches
- Ensure update_yum.sh has correct SELinux labels
- Moves the shared zuul queue to the project level

* Thu Jan 19 2023 OSP Prod Chain <dev-null@redhat.com> 1.5.0-1.20230119103835.aaa89b2
- Ensure update_yum.sh has correct SELinux labels (rhbz#2162050)

* Thu Aug 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220818142414.aaa89b2
- Update patches
- Add some notes about SELinux and limitations

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220728030515.c9831b5
- Update patches

* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220727155156.c9831b5
- Update patches

* Mon Jul 18 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.1-1.20220718133203.c9831b5
- Update patches
- Disable setup.py auto discovery

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.4.0-0.20220712163608.30d23d5
- Update patches

* Tue Feb 15 2022 OSP Prod Chain <dev-null@redhat.com> 1.3.1-0.20220215231337.30d23d5
- Update patches
- Move zuul jobs layout to centos9 only for master branch
- Move zuul jobs layout to centos9 only for master branch

* Wed Sep 08 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210908102348.0b9fdcc
- Update patches

* Fri Aug 20 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210821015244.0b9fdcc
- Update patches
- Remove config of container_build_tool

* Tue Aug 10 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210810222826.81ca6b4
- Update patches
- Remove docker modules from the role

* Tue Jul 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210728003717.e4c84ad
- Update patches
- Extract updated rpms from buildah images

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210528133159.b304c89
- Update patches

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.3-0.20210523161722.b304c89
- Update patches
- Only mount /etc/{{ pkg_mgr_suffix }}/vars if it exists

* Wed May 12 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20210513002951.2c53d70
- Update patches
- Use dnf/yum vars based on what is available
- Mount yum/vars along with yum repos

* Mon Apr 26 2021 OSP Prod Chain <dev-null@redhat.com> 1.2.2-0.20210427021017.38691f5
- Update patches
- Fix git lookup
- Replace deprecated UPPER_CONSTRAINTS_FILE variable

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Nov 20 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Oct 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Migrate to content provider jobs/templates

* Fri Jul 31 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Port jobs from centos7 to centos8

* Mon Jul 06 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- rpm_install: return 0 if package was already installed

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add retries on image pull ahead of updating

* Wed May 27 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Fix become and remote_src when modifying an image

* Wed May 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Add double quotes around the printf statements in yum_update.sh

* Thu Jan 30 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Ensure the yum cache has at most one writer

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- Force docker format



